net.sf.jasperreports.engine.analytics.dataset

## Class DesignDataAxis

- java.lang.Object
- - net.sf.jasperreports.engine.analytics.dataset.BaseDataAxis
  - - net.sf.jasperreports.engine.analytics.dataset.DesignDataAxis

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, DataAxis, JRChangeEventsSupport, JRCloneable

      public class DesignDataAxis
      extends BaseDataAxis
      implements JRChangeEventsSupport

  Version:
    $Id: DesignDataAxis.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_AXIS`
    `static java.lang.String` | `PROPERTY_LEVELS`

    - ### Fields inherited from class net.sf.jasperreports.engine.analytics.dataset.BaseDataAxis

      `axis, levels`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DesignDataAxis()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addLevel(DataAxisLevel level)`
    `JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
    `void` | `removeLevel(DataAxisLevel level)`
    `void` | `setAxis(Axis axis)`

    - ### Methods inherited from class net.sf.jasperreports.engine.analytics.dataset.BaseDataAxis

      `clone, getAxis, getLevels`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_AXIS

          public static final java.lang.String PROPERTY_AXIS

      See Also:
        Constant Field Values

    - #### PROPERTY_LEVELS

          public static final java.lang.String PROPERTY_LEVELS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DesignDataAxis

          public DesignDataAxis()

  - ### Method Detail

    - #### setAxis

          public void setAxis(Axis axis)

    - #### addLevel

          public void addLevel(DataAxisLevel level)

    - #### removeLevel

          public void removeLevel(DataAxisLevel level)

    - #### getEventSupport

          public JRPropertyChangeSupport getEventSupport()

      Description copied from interface: `JRChangeEventsSupport`
      Returns the property change support object for this instance.
      Specified by:
        `getEventSupport` in interface `JRChangeEventsSupport`
      Returns:
        the property change support object for this instance

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com